For the complete documentation index, see llms.txt. This page is also available as Markdown.

Event Center

The Event Center API allows you to query events and facets from Firefly's event tracking system. Events include mutations, guardrail violations, IaC status changes, governance violations, and ClickOps activities.

Query Events

Query events

post
Body
sizeinteger · max: 150OptionalDefault: 50
continuationTokenstringOptional
Responses
200

Event Result Set

application/json
post/event-center
POST /v2/event-center HTTP/1.1
Host: api.firefly.ai
Content-Type: application/json
Accept: */*
Content-Length: 245

{
  "query": {
    "searchText": "text",
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z",
    "filters": [
      {
        "key": "integrationId",
        "values": [
          "text"
        ]
      }
    ]
  },
  "facets": [
    {
      "field": "integrationId",
      "size": 10
    }
  ],
  "size": 50,
  "continuationToken": "text"
}
200

Event Result Set

{
  "events": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "account_id": "text",
      "integration_id": "text",
      "event_timestamp": "2026-01-01T00:00:00.000Z",
      "event_type": "guardrails_violation",
      "provider_type": "text",
      "asset_id": "text",
      "asset_type": "text",
      "event": {
        "mutation_id": "text",
        "mutation_type": "create",
        "attributes": [
          {
            "key": "text",
            "value": "text"
          }
        ]
      }
    }
  ],
  "facets": [
    {
      "field": "integrationId",
      "size": 1,
      "values": [
        {
          "value": "text",
          "count": 1
        }
      ]
    }
  ]
}

Query Facets

Query facet

post
Body

Specifies the facet buckets

fieldSearchTextstringOptional
fieldstring · enumOptional

Specifies the valid filters

Possible values:
sizeinteger · max: 100OptionalDefault: 10
Responses
200

Event Result Set

application/json

Specifies the filter buckets

fieldstring · enumOptional

Specifies the valid filters

Possible values:
sizeintegerOptional

The number of unique filter values

post/event-center/facets
POST /v2/event-center/facets HTTP/1.1
Host: api.firefly.ai
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "query": {
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z"
  },
  "fieldSearchText": "text",
  "field": "integrationId",
  "size": 10
}
200

Event Result Set

[
  {
    "field": "integrationId",
    "size": 1,
    "values": [
      {
        "value": "text",
        "count": 1
      }
    ]
  }
]

Last updated

Was this helpful?